Bug 276791 - (CVE-2007-3473) CVE-2007-3473 libgd NULL pointer dereference when reading a corrupt X bitmap
CVE-2007-3473 libgd NULL pointer dereference when reading a corrupt X bitmap
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
http://nvd.nist.gov/nvd.cfm?cvename=C...
public=20070621,reported=20070628,sou...
: Security
Depends On: 277411 277421 432784 432785 432786 432787 833899
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-04 13:49 EDT by Red Hat Product Security
Modified: 2016-03-04 06:58 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 10:18:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lubomir Kundrak 2007-09-04 13:49:40 EDT
Common Vulnerabilities and Exposures assigned an identifier CVE-2007-3473 to the following vulnerability:

The gdImageCreateXbm function in the GD Graphics Library (libgd) before 2.0.35 allows user-assisted remote attackers to cause a denial of service (crash) via unspecified vectors involving a gdImageCreate failure.

References:

http://bugs.libgd.org/?do=details&task_id=94
http://www.libgd.org/ReleaseNote020035
http://news.php.net/php.gd.cvs/235
Comment 1 Lubomir Kundrak 2007-09-04 13:53:38 EDT
On failure, gdImageCreate() returns NULL which is in turn dereferenced by
gdImageCreateFromXbm() (gdImageCreateXbm doesn't exist at all).
Comment 2 Lubomir Kundrak 2007-09-04 15:34:48 EDT
http://news.php.net/php.gd.cvs/235
Comment 4 Tomas Hoger 2008-02-08 12:42:10 EST
Upstream commit:
http://cvs.php.net/viewcvs.cgi/gd/libgd/src/gd.c?r1=1.62&r2=1.63

Following SecWeb advisory seems to provide reproducer for this issue:
http://www.secweb.se/en/advisories/gd-gdimagecreatetruecolor-integer-overflow/

Note that this advisory describes different issue in the text -- integer
overflow in gdImageCreateTrueColor, known as CVE-2007-3472.  I'm not sure why
gdImageCreateFromXbm was used as an example in PoC, as this function only calls
gdImageCreate (i.e. non-TrueColor version, not affected by the overflow).
Comment 9 Tomas Hoger 2008-02-28 05:50:27 EST
Updated gd packages addressing this issue were released for Red Hat Enterprise
Linux 4 and 5:

  https://rhn.redhat.com/errata/RHSA-2008-0146.html
Comment 11 Jay Turner 2008-09-16 09:19:38 EDT
Closing this issue out as the errata shipped in February 2008.
Comment 12 Tomas Hoger 2008-09-29 04:10:47 EDT
Please do not close 'Security Response' bugs that may be left open intentionally. Thank you!
Comment 13 Red Hat Bugzilla 2009-10-23 15:04:00 EDT
Reporter changed to security-response-team@redhat.com by request of Jay Turner.
Comment 14 Vincent Danen 2015-02-17 10:18:49 EST
Statement:

Red Hat Product Security has rated this issue as having Low security impact. This issue is not currently planned to be addressed in future updates to libwmf on Red Hat Enterprise Linux 5 and 6. For additional information, refer to the Issue Severity Classification: https://access.redhat.com/security/updates/classification/.

Note You need to log in before you can comment on or make changes to this bug.